Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
curl --request GET \
--url https://apigw.ipxo.com/billing/v1/{tenantUUID}/invoices/{invoiceUUID} \
--header 'Authorization: Bearer <token>'import requests
url = "https://apigw.ipxo.com/billing/v1/{tenantUUID}/invoices/{invoiceUUID}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://apigw.ipxo.com/billing/v1/{tenantUUID}/invoices/{invoiceUUID}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"uuid": "string",
"tenant_uuid": "string",
"invoice_number": "string",
"date": 0,
"date_due": 0,
"date_paid": 0,
"subtotal": 0,
"subtotal_with_taxes": 0,
"total": 0,
"total_left_to_pay": 0,
"total_paid": 0,
"total_tax": 0,
"status": "string",
"items_count": 0,
"items": [
{
"invoice_uuid": 0,
"service_uuid": 0,
"description": "string",
"amount": 0,
"taxed": 0,
"period_start": 0,
"period_end": 0,
"type": "string",
"metadata": {
"<key1>": {},
"<key2>": {},
"<key..>": {},
"<keyN>": {}
}
}
],
"taxes": [
{
"description": "string",
"percentage": 0,
"amount": 0,
"order": 0,
"stacks": 0
}
],
"transactions": [
{
"invoice_uuid": 0,
"service_uuid": 0,
"description": "string",
"amount": 0,
"taxed": 0,
"period_start": 0,
"period_end": 0,
"type": "string",
"metadata": {
"<key1>": {},
"<key2>": {},
"<key..>": {},
"<keyN>": {}
}
}
]
}Returns invoice
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
UUID
^[a-zA-Z0-9]{8}\-[a-zA-Z0-9]{4}\-[a-zA-Z0-9]{4}\-[a-zA-Z0-9]{4}\-[a-zA-Z0-9]{12}$UUID
^[a-zA-Z0-9]{8}\-[a-zA-Z0-9]{4}\-[a-zA-Z0-9]{4}\-[a-zA-Z0-9]{4}\-[a-zA-Z0-9]{12}$Invoice
Show child attributes
Show child attributes
Show child attributes